# Export Readme

This folder contains code samples that show how to export a report using i-net Clear Reports API.

## ExportWithoutViewer.java

Shows how to export a report using the i-net Clear Reports API to all supported output formats, excepting HTML.

[Click to open the sample file.](https://www.inetsoftware.de/documentation/clear-reports/latest/samples/reporting/export/ExportWithoutViewer.java)

## ExportWithoutViewerToHTML.java

Shows how to export a report to the HTML file format with i-net Clear Reports and without using the Java report viewer API.

[Click to open the sample file.](https://www.inetsoftware.de/documentation/clear-reports/latest/samples/reporting/export/ExportWithoutViewerToHTML.java)

## ExportWithViewer.java

Shows how to export a report using the Java report viewer API with or without the report preview in the Java report viewer.

[Click to open the sample file.](https://www.inetsoftware.de/documentation/clear-reports/latest/samples/reporting/export/ExportWithViewer.java)

## ProgrammingTheEngine.java

Shows how to generate a PDF file on the server-side or in a standalone application. The generated report data (PDF format) is directly written to the disk.

[Click to open the sample file.](https://www.inetsoftware.de/documentation/clear-reports/latest/samples/reporting/export/ProgrammingTheEngine.java)

